Page MenuHomePhabricator

Correct the link cache usage for VE in CX2
Closed, ResolvedPublic

Description

Currently, all links are pointing to the local wiki, irrespective of source or target languages since the link cache behavior is inherited from VE. For CX, irrespective of current wiki, the links should have metadata fetched from configured source or target wikis(both can be different from local wiki).

In https://gerrit.wikimedia.org/r/#/c/378666/ an initial exploration was done to use the link metadata from the cxserver and avoiding link cache usage. But it was stuck at that time due to non-technical reasons. We should continue that exploration and fix this important framework component.

(This is the reason behind all links in CX2 showing in red color in source and target column)

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCX2: Use the cxserver supplied link information in link inspector
mediawiki/extensions/ContentTranslation : masterCX2: Don't use link cache for styling the links

Event Timeline

santhosh created this task.Feb 23 2018, 6:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 6:25 AM
Pginer-WMF triaged this task as High priority.Feb 23 2018, 7:51 AM
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Jan-Mar board.

Change 417223 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Don't use link cache for styling the links

https://gerrit.wikimedia.org/r/417223

Change 417229 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Use the cxserver supplied link information in link inspector

https://gerrit.wikimedia.org/r/417229

Change 417223 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Don't use link cache for styling the links

https://gerrit.wikimedia.org/r/417223

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.
Nikerabbit added a subscriber: Nikerabbit.

Source column doesn't have an inspector, but I assume that is a separate task.

Nikerabbit added a project: Patch-For-Review.

Change 417229 merged by Nikerabbit:
[mediawiki/extensions/ContentTranslation@master] CX2: Use the cxserver supplied link information in link inspector

https://gerrit.wikimedia.org/r/417229

Nikerabbit moved this task from In Review to QA on the Language-2018-Jan-Mar board.
KartikMistry moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 15 2018, 7:23 AM
Arrbee closed this task as Resolved.Mar 19 2018, 7:05 AM